Bug 1464051 (CVE-2017-9766) - CVE-2017-9766 wireshark: PROFINET IO data with a high recursion depth can cause stack exhaustion
Summary: CVE-2017-9766 wireshark: PROFINET IO data with a high recursion depth can cau...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-9766
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1464052
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-22 10:44 UTC by Andrej Nemec
Modified: 2019-09-29 14:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:15:35 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-06-22 10:44:12 UTC
In Wireshark 2.2.7, PROFINET IO data with a high recursion depth allows attackers to cause a denial of service (stack exhaustion) in the dissect_IODWriteReq function in plugins/profinet/packet-dcerpc-pn-io.c.

Upstream issue:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=13811

Comment 1 Andrej Nemec 2017-06-22 10:45:35 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1464052]


Note You need to log in before you can comment on or make changes to this bug.